Subject: [dhcwg] SOL MAX RT

From: Wuyts Carl <[email-masked]>
Date: Tue, 4 Sep 2012 13:08:05 +0200

All,

Anyone an idea when an option number will be assigned for this oro (as it still says TBD in below draft) ?
(I-D.droms-dhc-dhcpv6-solmaxrt-update)

Thx and regs
Carl

---

From: "Brzozowski, John" <[email-masked]>
Date: Wed, 12 Sep 2012 19:29:22 +0000

Carl,

I do not think this is possible, I will check and get back to you unless someone beats me to it on the list.

John
=========================================
John Jason Brzozowski
Comcast Cable
m) +1-609-377-6594
e) mailto:[email-masked]
o) +1-484-962-0060
w) http://www.comcast6.net
=========================================

On Sep 4, 2012, at 7:08 AM, Wuyts Carl wrote:

> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Thu, 13 Sep 2012 03:05:04 +0000

Option numbers are assigned once the IESG has approved the document for publication (IANA then does its work). This isn't yet an IESG work item (it is still an individual submission, not even a WG document).

Not really sure what the hold-up is as I thought this was pretty cut and dry.

RFC 3315 actually permits early assignment (Section 24), so not sure if the DHC WG wants to consider that approach if this case:

   New DHCP option codes are tentatively assigned after the
   specification for the associated option, published as an Internet
   Draft, has received expert review by a designated expert [11].  The
   final assignment of DHCP option codes is through Standards Action, as
   defined in RFC 2434 [11].

- Bernie

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Brzozowski, John
Sent: Wednesday, September 12, 2012 3:29 PM
To: Wuyts Carl
Cc: dhc WG
Subject: Re: [dhcwg] SOL MAX RT

Carl,

John

---

From: Ted Lemon <[email-masked]>
Date: Thu, 13 Sep 2012 03:19:04 +0000

> Not really sure what the hold-up is as I thought this was pretty cut and dry.

The responsible AD (Jari) was succeeded by a new AD (Brian Haberman).   The draft then fell between the cracks.   This is a really good reason to just do drafts in the working group...

---

From: Wuyts Carl <[email-masked]>
Date: Thu, 13 Sep 2012 08:34:48 +0200

Thx John,

Thing is that it get referred to from RFC6204, making it impossible for a CPE to meet the requirement of course.  We could take a proprietary option, but then every implementation would/could use a different number, which is to avoid I'd say.  In fact, this already happened before with DSLite option.  I've bumped into some implementation some time ago which was using a different number for the DSLite option, hence making the setup fail initially. 
 
Regs
Carl

-----Original Message-----
From: Brzozowski, John [mailto:[email-masked]] 
Sent: woensdag 12 september 2012 21:29
To: Wuyts Carl
Cc: dhc WG
Subject: Re: [dhcwg] SOL MAX RT

Carl,

John

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Thu, 13 Sep 2012 12:17:31 +0000

If you want to make it proprietary, use a Vendor Information Option (17).

Sent from my iPad

---

From: "Brzozowski, John" <[email-masked]>
Date: Thu, 13 Sep 2012 12:21:55 +0000

You will see some follow up mail from me on this draft today or tomorrow.

---

From: Wuyts Carl <[email-masked]>
Date: Thu, 13 Sep 2012 15:03:47 +0200

Thx John

@Bernie: you mention " If you want to make it proprietary, use a Vendor Information Option (17)."
This is correct, but does not help solving interop issues of course (which is one of the points I'm trying to make)

Regs
Carl